URL structure
{organisationId} is the ID of an organization.
Supported methods and overview
DELETE- used to remove an organization (specified byorganisationId) configured on the Covata Platform (available to Safe Share administrators only).
This method takes no parameters.
Detailed description
This API endpoint removes an organization (specified byorganisationId) configured on the Covata Platform by a Safe Share administrator. Note: If this organization contains at least one Covata user with the Originator role, then requests to this endpoint will fail. To remove such an organization:
- All Covata users with the Originator role must first be removed from this organization (see <access-service>/api/v1/organisations/{orgGroupId}/users/{userId}).
- Make a request to this API endpoint.
Supported roles
This API endpoint supports the following Covata user roles (as described in the Safe Share Administrator’s Guide): The Covata Platform’s resources available to a Covata user meeting the criteria above is determined by the access token submitted in the header of requests to this endpoint.Required headers
The appropriate access token as theBearer token:
Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...
Returns
If the request succeeded, then an HTTP response status200 OK is returned.
